summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Vincent Batts <vbatts@gmail.com>2010-05-11 22:55:31 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:31 +0200
commit02e41f7f9cff08a655e28989e08a955b3515b472 (patch)
tree05127605c34ad7c01db21549ff4d8792b505ac33 /system
parent41c2ad8c1599875b34617a772faa990d876200ed (diff)
downloadslackbuilds-02e41f7f9cff08a655e28989e08a955b3515b472.tar.gz
slackbuilds-02e41f7f9cff08a655e28989e08a955b3515b472.tar.xz
system/stress: Added to 12.1 repository
Diffstat (limited to 'system')
-rw-r--r--system/stress/README3
-rw-r--r--system/stress/slack-desc19
-rw-r--r--system/stress/stress.SlackBuild73
-rw-r--r--system/stress/stress.info8
4 files changed, 103 insertions, 0 deletions
diff --git a/system/stress/README b/system/stress/README
new file mode 100644
index 0000000000..382801acb2
--- /dev/null
+++ b/system/stress/README
@@ -0,0 +1,3 @@
+stress, stress test utility
+imposes certain types of compute stress on your system.
+ ( cpu, io, vm, hdd )
diff --git a/system/stress/slack-desc b/system/stress/slack-desc
new file mode 100644
index 0000000000..796607ddbc
--- /dev/null
+++ b/system/stress/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+stress: stress (stress test utility)
+stress:
+stress: imposes certain types of compute stress
+stress: on your system.
+stress: ( cpu, io, vm, hdd )
+stress:
+stress:
+stress: http://weather.ou.edu/~apw/projects/stress/
+stress:
+stress:
+stress:
diff --git a/system/stress/stress.SlackBuild b/system/stress/stress.SlackBuild
new file mode 100644
index 0000000000..15c2e41abd
--- /dev/null
+++ b/system/stress/stress.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for stress
+
+# Written by Vincent Batts, vbatts@gmail.com
+
+PRGNAM=stress
+VERSION=${VERSION:-1.0.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT || exit 1
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING TODO README INSTALL ChangeLog NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc (and a custom doinst.sh if necessary) into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/stress/stress.info b/system/stress/stress.info
new file mode 100644
index 0000000000..140715ccd6
--- /dev/null
+++ b/system/stress/stress.info
@@ -0,0 +1,8 @@
+PRGNAM="stress"
+VERSION="1.0.0"
+HOMEPAGE="http://weather.ou.edu/~apw/projects/stress/"
+DOWNLOAD="http://weather.ou.edu/~apw/projects/stress/stress-1.0.0.tar.gz"
+MD5SUM="d693ff044ac7d34f8aaea202cd96f679"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@gmail.com"
+APPROVED="David Somero" \ No newline at end of file